# TWX Script Pack 1: Sell-Steal-Move script
# Author           : Xide
# Description      : SSM script for evils.  The first steal is from the
#                    OPPOSITE sector to the one the player is in.  Basically
#                    just jumps between the two ports, selling then stealing
#                    equipment.  Make sure you have the required amount of
#                    equipment onboard your ship when you begin this script.
# Trigger Point    : Sector containing an xxB port, with an xxB port adjacent
# Warnings         : Make sure you havn't been busted at either port.  Ensure
#                    The last port stolen from is NOT the adjacent sector
#                    you will be SSMing to.  Also make sure the holds you
#                    are stealing are not greater than the ideal amount.
#                    Failure to follow any of these precautions will bust
#                    you.  Also make sure both sectors are free from
#                    obstruction and that your not SSMing through a one
#                    way warp.
# Other            : Quite a simple script, simply runs until the player
#                    is busted.  Unless the game's steal ratio has been
#                    changed, the ideal steal amount should be 1 hold
#                    for 30 experience.

# check if we can run it from here
cutText CURRENTLINE $location 1 7

if ($location <> "Command")
        clientMessage "This script must be run from the game command menu"
        halt
end

logging off

# show script banner
echo "**" ANSI_3 "     --" ANSI_11 "===| " ANSI_15 "Sell-Steal-Move v1.01" ANSI_11 " |===" ANSI_3 "--**"
echo ANSI_7 "This script is freeware and may be distributed."
echo ANSI_7 "**For script information please refer to Pack1.txt.*This script is subject to the license agreement*as stated in License1.txt."
echo "**" ANSI_15 "Please read the warnings written at the top of*the script before using it!*"

# input parameters
getInput $sectorNumber2 "Enter other sector to SSM from" 0
getInput $holds "Enter max holds to steal" 0

# get the current sector and the type of port in it
send "d"
setTextLineTrigger 1 :getSector "Sector  : "
pause

:getSector
getWord CURRENTLINE $sectorNumber1 3
getSector $sectorNumber1 $sector1

# now get the details of the second sector
send $sectorNumber2 "*"
waitfor "Sector  : "
waitfor "Command [TL="
getSector $sectorNumber2 $sector2

# now we know all the details.  Lets go!

:sub_SSM
        # sell what we have in $sector2
        send "pt**"

        # if this port sells ore or organics, we need to cater for it
        if ($sector2.port.class = 2) or ($sector2.port.class = 3)
                send "0*"
        end
        if ($sector2.port.class = 4)
                send "0*0*"
        end

        # now steal it back!
        send "pr*s3" $holds "*"

        # now.. wait to see if we got busted.  If we did, we'd better stop
        setTextTrigger 1 :continue "Success!"
        setTextTrigger 2 :stop "Busted!"
        setTextTrigger 3 :stop "There aren't that many holds"
        pause

        :stop
        halt

        :continue
        killTrigger 2
        killTrigger 3

        # move back to $sector1 ...
        waitfor "Command [TL="
        send $sectorNumber1 "*"

        # sell what we have
        send "pt**"

        # if this port sells ore or organics, we need to cater for it
        if ($sector1.port.class = 2) or ($sector1.port.class = 3)
                send "0*"
        end
        if ($sector1.port.class = 4)
                send "0*0*"
        end

        # now steal it back!
        send "pr*s3" $holds "*"

        # now.. wait to see if we got busted.  If we did, we'd better stop
        setTextTrigger 1 :continue2 "Success!"
        setTextTrigger 2 :stop2 "Busted!"
        setTextTrigger 3 :stop2 "There aren't that many holds"
        pause

        :stop2
        halt

        :continue2
        killTrigger 2
        killTrigger 3

        # repeat
        waitfor "Command [TL="
        send $sectorNumber2 "*"
        goto :sub_SSM
